[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DoEditButtonClick

Performs actions needed when the button for the editor control is clicked.

## Declaration

Source position: grids.pas line 1027

`protected procedure TCustomGrid.DoEditButtonClick(`
`const ACol: Integer;`
`const ARow: Integer`
`); virtual;`

## Arguments

`ACol` |  | Column number for the affected cell.
`ARow` |  | Row number for the affected cell.

## Description

DoEditButtonClick is a procedure used to perform actions requires when the button for a cell editor or button column is clicked.

ACol and ARow contain the Integer coordinates for the cell where the action occurred.

DoEditButtonClick signals the OnEditButtonClick and OnButtonClick event handlers when they have been assigned for the grid control.

DoEditButtonClick is used in the implementation of the EditButtonClicked method used in cell editor controls, and the MouseUp method.

## See also

TCustomGrid.OnEditButtonClick |  | Event handler signalled when the button in a cell Editor is clicked. Deprecated.
TCustomGrid.OnButtonClick |  | Event handler signalled when a button-style cell Editor control is clicked.
TCustomGrid.MouseUp |  | Handles a mouse up event for the grid control.